/*
   <p>Test harness for <i>searchpath()</i>.</p>

   <kbd>
   <b>environ - C programming support functions</b><br>
   Copyright (C) 2005  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
   </kbd>
  
   <p>Contact Martin Gregorie at <i>martin@gregorie.org</i></p>
*/

#include <stdio.h>
#include <string.h>
#include "environ.h"

#ifdef LINUX
#include <stdlib.h>
#endif

main(int argc, char **argv)
{
    FILE  *f;
    int   c;
    int   newline = TRUE;
    int   line = 0;

    if (argc < 5 || strcmp(argv[1], "-?") == 0)
    {
       printf("Usage: testsearchpath PATH name mode1 mode2 debug(0..2)\n");
       exit(0);
    }

    f = searchpath(argv[1], argv[2], argv[3], argv[4], atoi(argv[5]));
    if (f)
    {
       printf("Opened %s\n", argv[2]);
       while ((c = fgetc(f)) != EOF)
       {
          if (newline)
          {
             printf("%d: ", ++line);
             newline = FALSE;
          }

          if (c == '\n')
    	  {
             newline = TRUE;
          }

          printf("%c", c);
       }
    }
    else
    {
       printf("Could not open %s\n", argv[2]);
    }

    return(0);
}


